## This is a hand-edited version of an automatically-generated Makefile.
## Edit at your peril!
##

  DESTDIR = /usr/local/lib
  CDEBUGFLAGS = -g
  ANSI_C_COMPILER = cc
  AR = ar cq
  ARDEL = ar d
  INSTALL = /usr/bin/install
  RANLIB = ranlib
  RM = rm -f
  SED = sed

ALL_INCLUDES = -I. $(LOCALINCLUDES) $(INCLUDES)
ALL_DEFINES = $(STD_DEFINES) $(DEFINES) $(BSDDEFINE) $(POSIXDEFINE)
CFLAGS = $(COMPILERFLAGS) $(CDEBUGFLAGS) $(ALL_INCLUDES) $(ALL_DEFINES)
LDFLAGS = $(SYS_LIBRARIES) $(SYSAUX_LIBRARIES)
INSTLIBFLAGS = -m 0664
INSTINCFLAGS = -m 0444
INSTMANFLAGS = -m 0444
INSTAPPFLAGS = -m 0444
INSTPROGFLAGS = -m 0555

CC = $(ANSI_C_COMPILER)

all:: libgss.a

clean::
	$(RM) *.do *.eh *.ih *.a *.fwm *.snf *.pcf *.rtx *.fb
	$(RM) *.ax *.pyc *.o
	$(RM) install.time install.doc

.SUFFIXES: .o .c

.c.o:
	$(RM) $@
	$(ANSI_C_COMPILER) -c $(CFLAGS) $*.c

GSSOBJS = gss_impl.o gss_util.o gss_opaque.o gss_oidtbl.o gss_asn1.o gss_debug.o nil_scheme.o gss_x500_ns.o rfc822_ns.o gss_ext.o anon_ns.o

libgss.a:  $(GSSOBJS)
	$(RM) $@
	$(AR) $@  $(GSSOBJS)
	$(RANLIB) $@

test:: nstest
nstest:   nstest.o   libgss.a
	$(RM) $@
	$(ANSI_C_COMPILER) $(CFLAGS) -o $@   nstest.o   libgss.a $(CC_LINK)   $(ANSI_C_LIBRARY) $(SYSAUX_LIBRARIES)
clean::
	$(RM) nstest
test::
	if ./nstest >/dev/null ; then echo "passed" nstest "test" ; else echo "failed" nstest "test" ; exit 1; fi ; exit 0

mechtest: test.data

test.data:
	cp mechtest.c test.data

test:: mechtest
mechtest:   mechtest.o   libgss.a
	$(RM) $@
	$(ANSI_C_COMPILER) $(CFLAGS) -o $@   mechtest.o   libgss.a $(CC_LINK)   $(ANSI_C_LIBRARY) $(SYSAUX_LIBRARIES)
clean::
	$(RM) mechtest
test::
	if ./mechtest >/dev/null ; then echo "passed" mechtest "test" ; else echo "failed" mechtest "test" ; exit 1; fi ; exit 0

enc_oids:  encode_oids.o  libgss.a
	$(RM) $@
	$(ANSI_C_COMPILER) $(CFLAGS) -o $@  encode_oids.o  libgss.a  $(CC_LINK) $(ANSI_C_LIBRARY) $(SYSAUX_LIBRARIES)
clean:: ; $(RM) enc_oids

test:: nilsrvr
nilsrvr:  nilsrvr.o  libgss.a
	$(RM) $@
	$(ANSI_C_COMPILER) $(CFLAGS) -o $@  nilsrvr.o  libgss.a $(CC_LINK)  $(ANSI_C_LIBRARY) $(SYSAUX_LIBRARIES)
clean::
	$(RM) nilsrvr

test:: nilclnt
nilclnt:  nilclnt.o  libgss.a
	$(RM) $@
	$(ANSI_C_COMPILER) $(CFLAGS) -o $@  nilclnt.o  libgss.a $(CC_LINK)  $(ANSI_C_LIBRARY) $(SYSAUX_LIBRARIES)
clean::
	$(RM) nilclnt
